plugins {
    id 'buildlogic.jme-application-conventions'
}

description = 'Battleship Client'

dependencies {
    implementation project(":jme-common")
    implementation project(":battleship:model")

    implementation libs.jme3.desktop

    runtimeOnly libs.jme3.awt.dialogs
    runtimeOnly libs.jme3.plugins
    runtimeOnly libs.jme3.jogg
    runtimeOnly libs.jme3.testdata
}

application {
    mainClass = 'pp.battleship.client.BattleshipApp'
    applicationName = 'battleship'
}
